package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AdsAgentRechargeRankingVO {

    @ApiModelProperty(notes = "序号")
    private Integer index;

    @ApiModelProperty(notes = "推广渠道账号")
    private Long agentId;

    @ApiModelProperty(notes = "推广渠道名称")
    private String agentName;

    @ApiModelProperty(notes = "投手")
    private String pitcher;

    @ApiModelProperty(notes = "推广媒体")
    private String type;

    @ApiModelProperty(notes = "当天充值金额")
    private BigDecimal todayAmount;

    @ApiModelProperty(notes = "累计充值今额")
    private BigDecimal totalAmount;

    @ApiModelProperty(notes = "累计充值人数")
    private Long totalRechargeUserCount;

    @ApiModelProperty(notes = "累计充值次数")
    private Long totalRechargeCount;

    @ApiModelProperty(notes = "平均单价")
    private BigDecimal avgAmount;

    @ApiModelProperty(notes = "注册人数")
    private Long regUserCount;

    @ApiModelProperty(notes = "累计消耗")
    private BigDecimal totalCost;

    @ApiModelProperty(notes = "回本率")
    private BigDecimal roi;
}
